/*
 * Copyright 2005-2006 Portal Application Laboratory project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package jp.sf.pal.jsf.custom.fileupload;

import java.io.IOException;
import java.io.InputStream;
import java.io.Serializable;

public interface UploadedFile extends Serializable {

    /**
     * Answer the uploaded file contents.
     *
     * @return file contents
     */
    public byte[] getBytes() throws IOException;

    /**
     * Answer the uploaded file contents input stream
     *
     * @throws IOException
     * @return InputStream
     */
    public InputStream getInputStream() throws IOException;

    /**
     * @return Returns the _contentType.
     */
    public String getContentType();

    /**
     * @return Returns the _name.
     */
    public String getName();

    /**
     * Answer the size of this file.
     * @return long
     */
    public long getSize();
}
